Nvidia tkg drivers - next way for better gaming?

As i expected, nvidia-tkg drivers is secret missing piece for excellent gaming experience on the Arch Linux or based on Arch distributions. :slightly_smiling_face:

1 Like

I'm currently running some benchmarks and as expected there's like a 10% uplift for me from the default drivers ( at least in Control which is the only game so far that I can actually tell the difference). Amazing if you ask me.

2 Likes

You have to keep up with the updates. I am so excited. I am downloading right now!

1 Like

Hello everyone

i am running these drivers and they just did an update

Vulkan dev: 455.46.02

these are the best drivers to use for linux gaming :partying_face:

5 Likes

It looks like great move to use nvidia-tkg drivers for Garuda distro. :thinking: :slightly_smiling_face:

6 Likes

A test iso with 5.10 kernel and tkg drivers

6 Likes

Is it possible to release the Gnome version of this iso?

Well we will this one is for testing purpose to find if things work as they should

5 Likes

ok great news, if you need testing for gnome just tell me :sunglasses:

2 Likes

I have installed dr460nized/201217 it is awesome and fast. Firefox has the hardened problems out of the box even though browser-settings is installed and not the hardened settings. Docker and docker-compose installed fine. but I am having these errors.

╰─λ docker-compose ps
ERROR:
Can't find a suitable configuration file in this directory or any
parent. Are you in the right directory?

    Supported filenames: docker-compose.yml, docker-compose.yaml

╭─jeremy at jeremy-gl659se in ⌁
╰─λ cd Documents/Docker/transmission/
╭─jeremy at jeremy-gl659se in ⌁/Documents/Docker/transmission
╰─λ ls
.rw-r--r-- 2.1k jeremy 18 Dec 11:17 docker-compose.yml
╭─jeremy at jeremy-gl659se in ⌁/Documents/Docker/transmission
╰─λ docker-compose ps
Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 392, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.9/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/lib/python3.9/http/client.py", line 950, in send
self.connect()
File "/usr/lib/python3.9/site-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 726, in urlopen
retries = retries.increment(
File "/usr/lib/python3.9/site-packages/urllib3/util/retry.py", line 403, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3.9/site-packages/urllib3/packages/six.py", line 734, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 392, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.9/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/lib/python3.9/http/client.py", line 950, in send
self.connect()
File "/usr/lib/python3.9/site-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 214, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/usr/lib/python3.9/site-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/usr/lib/python3.9/site-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 555, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 542, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 655, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.9/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/docker-compose", line 33, in
sys.exit(load_entry_point('docker-compose==1.27.4', 'console_scripts', 'docker-compose')())
File "/usr/lib/python3.9/site-packages/compose/cli/main.py", line 67, in main
command()
File "/usr/lib/python3.9/site-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/usr/lib/python3.9/site-packages/compose/cli/command.py", line 60, in project_from_options
return get_project(
File "/usr/lib/python3.9/site-packages/compose/cli/command.py", line 131, in get_project
client = get_client(
File "/usr/lib/python3.9/site-packages/compose/cli/docker_client.py", line 41, in get_client
client = docker_client(
File "/usr/lib/python3.9/site-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 197, in init
self._version = self._retrieve_server_version()
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 221, in _retrieve_server_version
raise DockerException(
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))

Switching between hybrid and Intel with a rtx2060 works well.
Optimus-Manager does not start at boot.

I have installed dr460nized/201217 it is awesome and fast. Firefox has the hardened problems out of the box even thought browser-settings is installed and not the hardened settings. Docker and docker-compose installed fine. but I am having these errors.

─jeremy at jeremy-gl659se in ⌁
╰─λ cd Documents/Docker/transmission/
╭─jeremy at jeremy-gl659se in ⌁/Documents/Docker/transmission
╰─λ ls
.rw-r--r-- 2.1k jeremy 18 Dec 11:17 docker-compose.yml
╭─jeremy at jeremy-gl659se in ⌁/Documents/Docker/transmission
╰─λ docker-compose ps
Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 392, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.9/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/lib/python3.9/http/client.py", line 950, in send
self.connect()
File "/usr/lib/python3.9/site-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 726, in urlopen
retries = retries.increment(
File "/usr/lib/python3.9/site-packages/urllib3/util/retry.py", line 403, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/usr/lib/python3.9/site-packages/urllib3/packages/six.py", line 734, in reraise
raise value.with_traceback(tb)
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/usr/lib/python3.9/site-packages/urllib3/connectionpool.py", line 392, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.9/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.9/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/lib/python3.9/http/client.py", line 950, in send
self.connect()
File "/usr/lib/python3.9/site-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 214, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/usr/lib/python3.9/site-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/usr/lib/python3.9/site-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 555, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 542, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3.9/site-packages/requests/sessions.py", line 655, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3.9/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/docker-compose", line 33, in
sys.exit(load_entry_point('docker-compose==1.27.4', 'console_scripts', 'docker-compose')())
File "/usr/lib/python3.9/site-packages/compose/cli/main.py", line 67, in main
command()
File "/usr/lib/python3.9/site-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/usr/lib/python3.9/site-packages/compose/cli/command.py", line 60, in project_from_options
return get_project(
File "/usr/lib/python3.9/site-packages/compose/cli/command.py", line 131, in get_project
client = get_client(
File "/usr/lib/python3.9/site-packages/compose/cli/docker_client.py", line 41, in get_client
client = docker_client(
File "/usr/lib/python3.9/site-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 197, in init
self._version = self._retrieve_server_version()
File "/usr/lib/python3.9/site-packages/docker/api/client.py", line 221, in _retrieve_server_version
raise DockerException(
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))

Switching between hybrid and Intel with a rtx2060 works well.
Optimus-Manager does not start at boot.


Read

please.

If you include terminal outputs in your post please use the proper output format in your post. Using "~" 3 times above and "~" 3 times below the text block will provide a readable, raw look.

2 Likes

Hello, I just installed Bayonetta, launched it and after that every time I login into the DE (after SDDM) the whole screen becomes and LSD show so I'm installing the newer version and I'll let you know how it goes. :smiley:

Ok installed the newest version and Integrated and Hybrid work just fine with Optimus Manager. But when I switch to Nvidia only there's not background and some games won't launch at all. I get this when I run plasmashell in a temrinal:

Icon theme "gnome" not found.
Icon theme "ubuntu-mono" not found.
Icon theme "Mint-X" not found.
Icon theme "elementary" not found.
kf.plasma.quick: Applet preload policy set to 1
Cyclic dependency detected between "file:///usr/lib/qt/qml/org/kde/kirigami.2/styles/org.kde.desktop.plasma/Units.qml" and "file:///usr/lib/qt/qml/org/kde/kirigami.2/styles/org.kde.desktop.plasma/Units.qml"
trying to show an empty dialog
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:146:19: QML Loader: Binding loop detected for property "height"
file:///usr/share/plasma/shells/org.kde.plasma.desktop/contents/views/Desktop.qml:146:19: QML Loader: Binding loop detected for property "height"
Plasma Shell startup completed
file:///home/qushy/.local/share/plasma/wallpapers/smartvideowallpaper/contents/ui/WindowModel.qml:47:9: Unable to assign [undefined] to QRect

** (plasmashell:16881): CRITICAL **: 17:44:34.975: gst_gl_context_new_wrapped: assertion 'available_apis != GST_GL_API_ANY' failed
Could not create wrappped context for platform: 2

** (plasmashell:16881): CRITICAL **: 17:44:34.975: gst_gl_context_new_wrapped: assertion 'available_apis != GST_GL_API_ANY' failed
Could not create wrappped context for platform: 2
Error: "Internal data stream error."
[...] (tens of these errors)
QSocketNotifier: Invalid socket 6 and type 'Read', disabling...
QSocketNotifier: Invalid socket 9 and type 'Read', disabling...
QSocketNotifier: Invalid socket 40 and type 'Read', disabling...
QSocketNotifier: Invalid socket 8 and type 'Read', disabling...
QSocketNotifier: Invalid socket 11 and type 'Read', disabling...
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
Invalid write to eventfd: Bad file descriptor
Code should not be reached at ../pulseaudio/src/pulsecore/fdsem.c:199, function pa_fdsem_post(). Aborting.
Unable to start Dr. Konqi
Re-raising signal for core dump handling.
fish: “plasmashell” terminated by signal SIGFPE (Floating point exception)

UPDATE: I had to use the non-git optimus-manager packages and now everything work fine. :smiley:

1 Like

Tried installing the iso yesterday expecting some minor improvements to performance, but DAMN, I didn't expect that much of a difference.

I still didn't test a whole lot of games, but in Minecraft I was able to go from 75-80fps average on Fabulous-16 chunks to 100-120fps. The minimum framerates also got way higher, going from around 40-45 to 55-65, making the whole experience way smoother.

TF2 is another game I still play a lot, and since Source is pretty CPU-bound, this one didn't give me that much of a difference. From around 130-135fps to 145fps average on an average Turbine server I like to play with pretty much the same amount of people.

But weirdly enough I'm having an issue with Proton-GE ever since I installed it. Tried running Warframe through it and the game never launches, and running it through Proton Experimental crashes after 5-10 minutes.

Not a professional benchmark, but a little personal experience with it. As soon as it officially releases, it can be a great selling point for the distro.

6 Likes

@librewish I tried iso 201219

What i discovered:

  1. Optimus manager
    My laptop Dell inspiron 15 7567 (Intel Core I7 7700-HQ & GeForce GTX1050-Ti mobile) produce more heat than offloading with comand prime-run (Idle time and gaming time, i tried nvidia, intel, hybrid mode). Every mode produced more heat.
    Negative for:
    Higher throttling - less performance (fps) stability.
    Lifespap - less lifespan for electric circuits and silicon.
    Battery life - shorter operation time on battery.
    Switching - Sometimes switch to nvidia is successfully sometimes no.
    Logout - I need logout if i want play something, or keep on the hybrid-mode and consume more energy and higher temperatures.

  2. Offloading (prime-run)
    Performance, well that's better than prime-run, but laptop keep cooler while gaming or idle time and consume less energy.
    Negative for:
    Performance: It's less fps while gaming, but it doesn't big difference.
    Command: It isn't big, but if i want to use program with nvidia i need write prime-run

I think prime-run is better way to manage NVIDIA dGPU, we only need write short command for open games with nvidia. Laptops keep cooler, nice battery life and we never need logout.

Something to end:
prime-run is really more comfortable, because sounds weird if i want to play games with guys on the Discord. Heh wait i need switch my GPU, wait the minute. Everyone on the Discord said wtf, what are you doing? Just open game and play, your Linux is stupid, we must wait for you.
Yes, my people should be more nice for me, but new users from Windows doesn't want to wait, i spended 6 months with Linux using prime-run. I must say optimus-manager is uncomfortable and fps gain is too small to make sense use optimus-manager instead prime-run.

btw: Experience with TKG drivers is positive? I was reading about big fps boost there. :slightly_smiling_face:

Feel free to configure your video driver however you prefer:

Also, please refrain from personally pinging the devs of the distro by using the @ feature of the discourse forum software. As librewish & SGS have already responded to your thread they will receive a notification from the forum software that a reply has been posted on this topic without personally pinging them.

It is totally unnecessary to ping the devs when they have already replied to your thread as they will be notified regardless. It is also considered as being presumptuous and rude to personally ping the distros devs or forum support staff. If the devs are not too busy working on the project, they will respond to your inquiry without resorting to annoying them with personal pings.

Please refrain from this practice unless it is an issue of utmost urgency involving a serious distro related bug.

2 Likes

Thank you for warn me, i wrote text in the deep night... :sweat_smile: Sorry for pinging the devs.

Yes, i currently use PRIME offloading, but some users haven't same technical level knowledges like me or you. I just share information and thoughts, i try to figure out what is the best and easier for Garuda users with lower knowledges and make Garuda more user friendly. :slightly_smiling_face:

2 Likes

I am currently using this dragonized build to try to address a problem I am having with games crashing the kernel after I close them. I just booted from the usb image and ran a game that usually crashes and it did not. Im not sure it is due to the different graphic driver or something else, but it did work.
I think I will install and test it out.

1 Like

Feels about nvidia-tkg? Tell me your experience with it, i'm curious. I have strange fps issue with tkg drivers with some games, but switching to stock drivers is to easy. I solved this issue.

I wasn't noticed posts about issues with nvidia-tkg. So i think is something on my side, when i was using Windows 10 i had sometimes issue with gpu switching.